<?xml version="1.0" encoding="UTF-8"?>
<GestureMarkupLanguage xmlns:gml="http://gestureworks.com/gml/version/1.0">
	
	<Gesture_set gesture_set_name="n-manipulate" >
		
			<Gesture id="n-drag" type="drag">
				<comment>The 'n-drag' gesture can be activated by any number of touch points. When a touch down is recognized on a touch object the position
				of the touch point is tracked. This change in the position of the touch point is mapped directly to the position of the touch object.</comment>
				<match>
					<action>
						<initial>
							<cluster point_number="0" point_number_min="1" point_number_max="5" translation_threshold="0"/>
						</initial>
					</action>
				</match>	
				<analysis>
					<algorithm>
						<library module="translate"/>
						<returns>
							<property id="drag_dx"/>
							<property id="drag_dy"/>
						</returns>
					</algorithm>
				</analysis>	
				<processing>
					<inertial_filter>
						<property ref="drag_dx" release_inertia="false" friction="0.996"/>
						<property ref="drag_dy" release_inertia="false" friction="0.996"/>
					</inertial_filter>
				</processing>
				<mapping>
					<update>
						<gesture_event>
							<property ref="drag_dx" target="x" delta_threshold="true" delta_min="0.01" delta_max="100"/>
							<property ref="drag_dy" target="y" delta_threshold="true" delta_min="0.01" delta_max="100"/>
						</gesture_event>
					</update>
				</mapping>
			</Gesture>
			
		</Gesture_set>
	
</GestureMarkupLanguage>